@font-face {
    font-family: 'extralight';
    src: url(./assets/fonts/RAG-Sans-1.2-ExtraLight.ttf);
}
@font-face {
    font-family: 'regular';
    src: url(./assets/fonts/RAG-Sans-1.2-Regular.ttf);
}
@font-face {
    font-family: 'bold';
    src: url(./assets/fonts/RAG-Sans-1.1-Bold.ttf);
}
@font-face {
    font-family: 'black';
    src: url(./assets/fonts/RAG-Sans-1.2-Black.ttf);
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.html, body {
    height: 100%;
}

.container {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.header { 
    aspect-ratio: 641 /687 ;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image: url(./assets/images/bg-mob.jpg);
    background-size: cover;
    padding: 3.438vw;
    gap: 2vw;
}

.logo {
    width: 28.281vw;
}

.text-header-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    width: 100%;
    flex: 1;
}

.text-1 {
    background-color: #F4FE7E;
    font-family: 'bold';
    color: #9631FF;
    font-size: 8.75vw;
    padding: 0.7vw 4.688vw;
    width: fit-content;
    direction: rtl;
    align-self: center;
}
.text-header-bottom {
    display: flex;
    flex-direction: column;
}
.text-2 {
    direction: rtl;
    font-family: 'bold';
    font-size: 7.453vw;
    color: #9631FF;
    background: #F4FE7E;
    width: fit-content;
    align-self: flex-end;
    padding: 1.031vw 1.563vw;
}
.text-3 {
    direction: rtl;
    font-family: 'bold';
    font-size: 7.453vw;
    color: #9631FF;
    background: #FFFFFF;
    width: fit-content;
    align-self: flex-end;
    padding: 1.031vw 1.563vw;
}
.text-4 {
    direction: rtl;
    font-family: 'bold';
    font-size: 5.938vw;
    color: #9631FF;
    background: #FFFFFF;
    width: fit-content;
    align-self: flex-end;
    padding: 1.031vw 1.563vw;
}
.form { 
    background-color: #9631FF;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    padding: 6.25vw;
    gap: 6vw;
}

.top {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end; 
  width: 100%;
}

.bravo {
    width: 21.88vw;

}

.text-form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 6.25vw;
}


form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.text-5 {
    font-size: 7vw;
    color: white;
    font-family: 'bold';
}
.fields {
    display: flex;
    flex-direction: column-reverse;
    gap: 3.744vw;
    margin-bottom: 3.75vw;
}

.fields input {
    width: 88.3vw;
    height: 12.5vw;
    border: 1px solid #BDBCBE;
    border-radius: 1vw;
    direction: rtl;
    padding-right: 3.75vw;
    font-family: 'regular';
    font-size: 3.75vw;
}

.checkbox-container {
    display: flex;
    flex-direction: row;
    align-self: center;
    width: 91%;
}

.checkbox-container label {
    font-size: 3.13vw;
    font-family: 'extralight';
    direction: rtl;
    color: white;
}

.checkbox-container label a { color: inherit; }

.checkbox {
    min-width: 5.03vw;
    width: 5.03vw;
    height: 5.03vw;
    margin: 0 0.5em;
    position: relative;
    background-color: transparent;
    -webkit-appearance: none;
    appearance: none;
    border: 0.5vw solid white;
    border-radius: 1vw;
    transition: all 0.2s ease;
}

.checkbox::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 1vw;
    height: 2vw;
    border: solid rgb(255 255 255);
    border-width: 0 2px 2px 0;
    transform: translate(-50%, -60%) rotate(45deg) scale(0);
    transition: transform 0.2s ease;
    opacity: 0;
}

.checkbox:checked::after {
    transform: translate(-50%, -60%) rotate(45deg) scale(1);
    opacity: 1;
}

.connect-button {
    width: 88.44vw;
    height: 14.22vw;
    background-color: #F4FE7E;
    border: 0 transparent;
    border-radius: 10vw;
    margin-top: 3.75vw;
    margin-bottom: 3.75vw;
    direction: rtl;
    font-family: 'bold';
    font-size: 5vw;
    display: flex;
    color: #9631FF;
    align-items: center;
    justify-content: center;
    gap: 3.75vw;
}

.call-button {
    width: 88.44vw;
    color:#9631FF ;
    height: 14.22vw;
    background-color: #F4FE7E;
    border: 0 transparent;
    border-radius: 10vw;
    direction: rtl;
    font-family: 'bold';
    font-size: 5vw;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3.75vw;
    position: relative;
}

.arrow { width: 14vw; }

.phone { width: 11vw; }

.masqyoo {
    position: absolute;
    height: 100%;
    width: 100%;
    color: transparent;
}

.footer { 
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    text-align: right;
    background-color: white;
}

.boxes {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 6.25vw;
    z-index: 1;
}

.box {
    text-align: center;
    width: 75vw;
}

.text-top {
    font-family: 'bold';
    font-size: 7.5vw;
    color: #9631FF;
    background-color: white;
    border-top-left-radius: 2vw;
    border-top-right-radius: 2vw;
    padding: 3vw 1vw;
    direction: rtl;
}
.text-bottom {
    font-family: 'bold';
    font-size: 12.5vw;
    color: #F4FE7E;
    background-color: #9631FF;
    border-bottom-left-radius: 2vw;
    border-bottom-right-radius: 2vw;
    padding: 4vw 1vw;
    direction: rtl;
}

.terms-text {
    color: black;
    font-family: 'regular';
    font-size: 2.964vw;
    line-height: 124%;
    margin-top: 2.424vw;
    margin-bottom: 1.818vw;
    margin-right: 1.5vw;
    margin-left: 1.5vw;
  
}
.terms-link {
  color: black;
  text-decoration: underline;
}
.error {
  border: 3px solid rgba(255, 59, 59, 0.966) !important;
}

.error::placeholder {
    color: tomato !important;
}

.leadThankMessage {
  color: white;
  display: none;
  position: relative;
  top: 40%;
  font-size: 1.5vw;
  text-align: center;
}

.thanksMessage {
    font-size: 11vw;
    font-weight: bold;
    font-family: regular;
    color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    padding: 0 9vw;
}

.mobile { display: flex; }
.desktop { display: none; }

@media (min-width: 641px) {
    .container {
        display: grid;
        
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "form header"
        "form footer";
        min-height: 100vh;
        overflow-y: hidden;
    }

    .header { 
        grid-area: header;
        aspect-ratio: 1225 / 871;
        background-image: url(./assets/images/bg-desk.jpg);
        width: 62vw;
        padding: 2.5vw;
    }

    .text-1 {
        font-size: 3.75vw;
        padding: 0.2vw 0.885vw;
        align-self: flex-end;
    }
    .text-2 {
        font-size: 3.333vw;
        padding: 0.2vw 0.885vw;
    }
    .text-3 {
        font-size: 3.333vw;
        padding: 0.2vw 0.885vw;
    }
    .text-4 {
        font-size: 3.333vw;
        padding: 0.2vw 0.885vw;
    }
    .text-5 {
        font-size: 2.5vw;
        padding: 1vw;
          color: #F4FE7E;
    }

    .form { 
        grid-area: form;
        aspect-ratio: unset;
        padding: unset;
        gap: 1vw;
      
    }

    .logo {
        width: 14.042vw;
        margin-top: unset;
        margin-right: unset;
        padding-right: unset;
    }

    .top {
        margin-top: 7.24vw;
        flex-direction: row;
        gap: 8.5vw;
        justify-content:center;
    }

    .bravo {
        width: 8.073vw;
        position: static
    }

    .text-form-container {
        margin-top: 3.02vw;
        margin-left: 1.56vw;
    }

    form {
        margin-top: 1.25vw;
    }

    .fields {
        flex-direction: column-reverse;
        gap: 0.521vw;
        margin-bottom: 0.83vw;
    }

    .fields input {
        width: 29.48vw;
        height: 3.906vw;
       
        border-radius: 0.5vw;
        direction: rtl;
        padding-right: 1.25vw;
        font-family: 'regular';
        font-size: 1.25vw;
    }

    .checkbox-container {
        display: flex;
        flex-direction: row;
        width: 82%;
    }

    .checkbox-container label {
        font-size: 1.04vw;
        font-family: 'extralight';
        direction: rtl;
        color: white;
    }

    .checkbox {
        min-width: 1.5vw;
        width: 1.5vw;
        height: 1.5vw;
        border: 0.17vw solid white;
        border-radius: 0.3vw;
        margin:0 0.4em;
    }

    .checkbox::after {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        width: 0.3vw;
        height: 0.6vw;
        border: solid rgb(255 255 255);
        border-width: 0 2px 2px 0;
        transform: translate(-50%, -60%) rotate(45deg) scale(0);
        transition: transform 0.2s ease;
        opacity: 0;
    }

    .checkbox:checked::after {
        transform: translate(-50%, -60%) rotate(45deg) scale(1);
        opacity: 1;
    }

    .connect-button {
        width: 29.48vw;
        height: 4.32vw;
        background-color: #F4FE7E;
        border: 0 transparent;
        border-radius: 10vw;
        margin-top: 0.83vw;
        margin-bottom: 0.83vw;
        direction: rtl;
        font-family: 'bold';
        font-size: 1.67vw;
        display: flex;
        color: #9631FF;
        align-items: center;
        justify-content: center;
    }

    .call-button {
        width: 29.48vw;
        height: 4.32vw;
        background-color: transparent;
        border: 0 transparent;
        border-radius: 10vw;
        direction: rtl;
        font-family: 'regular';
        font-size: 1.67vw;
        display: flex;
        align-items: center;
        gap: 0.5vw;

        justify-content: center;
        color: white;
        margin-bottom: 3.47vw;
    }
    .masqyoo{
        width: unset;
        height: unset;
        position: unset;
    }
    .call-button a {
        color: #fff;
        text-decoration: underline;
        font-family: inherit;
    }

    .arrow { 
        width: 5vw;
        margin-right: -3vw;
    }

    .footer { 
        height: 2.5vw;
        width: 100%;
        grid-area: footer;
        aspect-ratio: unset;
        background: unset;
        background-color: white;
        align-items: flex-end;
        align-self: flex-start;
    }

    .text-top {
        font-family: 'bold';
        font-size: 1.25vw;
        color: #F4FE7E;
        background-color: #9631FF;
        border-top-left-radius: 1vw;
        border-top-right-radius: 1vw;
        padding: 1vw 0;
    }
    .text-below{
        font-size: 3.75vw;
        background-color: white;
        color: #9631FF;
        font-family: 'bold';
        padding: 0.7vw 1.042vw ;
        margin-top: 22.5vw;
        margin-right: 1.5vw;
    }

    .terms-text {
        color: black;
        margin-right: 1vw;
        font-size: 1.042vw;
        margin-top: 0.6vw;
        font-weight: 'black';
      
    }

    .thanksMessage {
        font-size: 3vw;
        font-weight: bold;
        font-family: regular;
        color: white;
        text-align: center;
        padding: 0 2vw;
    }

    .leadThankMessage {
        display: none;
        position: relative;
        top: 0;
        font-size: 6vw;
        margin: 10vw 0;
    }

  .mobile { display: none; }
  .desktop { display: flex; }
}